DROP VIEW V_M_VZORCI_PS;

CREATE OR REPLACE VIEW V_M_VZORCI_PS AS (
  SELECT M.ID, M.LETO, M.ID1, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_ZACETKA, M.DATUM_KONCA, M.ID_VPS, M.ID_POGODBE, M.SKUPAJ, M.DATUM_OBRACUNA, M.OBRACUNANO, M.POPUST, M.DAVEK, M.KOLICINA, M.POPUST1, M.POPUST2, M.KOMENTAR, M.DOMACA_VALUTA,
  M.PROVIZIJA, M.TECAJ, M.STORNO, M.AUTO, M.DODATNA_STORITEV, M.DATUM_PONUDBE, M.KOLICINA_INSTR, M.ZAPOREDJE, M.AUTO_CREATE_METHOD, M.AUTO_CREATE_DAY, M.NEXT_AUTO_DATE, M.ACTIVE, M.AMOUNT_DAY, M.AMOUNT_MONTH, M.NAMENP, M.NAMENP1, M.NAMENP2, M.ID_PRIVEZ,
  M.DATUM_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_KREIRANJA, M.USER_SPREMEMBE, M.ID_DAVEK, M.USER_COMMENT, M.SERVICE_COMMENT, M.FULL_AMOUNT, M.SORT, M.VALUTA,
  NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
  MP.DATUM_ZACETKA AS POGODBA_DATUM_ZACETKA, MP.DATUM_KONCA AS POGODBA_DATUM_KONCA, MP. DATUM_PREKINITVE AS POGODBA_DATUM_PREKINITVE, MP.STATUS AS POGODBA_STATUS, MP.NNLOCATION_ID AS POGODBA_NNLOCATION_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
  FROM M_VZORCI_PS M
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
  LEFT OUTER JOIN M_POGODBE MP ON MP.ID_POGODBE = M.ID_POGODBE
  LEFT OUTER JOIN KUPCI K ON K.ID = MP.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA P ON P.ID = MP.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1449, SYSDATE, '5.5', 1369, 'VMVzorciPs')
;
