DROP VIEW V_S_ARTIKLI;

CREATE OR REPLACE VIEW V_S_ARTIKLI
AS (
SELECT SA.ID_ARTIKEL, SA.ID_ENOTA, SA.ID_DAVEK, SA.ID_GRUPA, SA.NAZIV, SA.NAZIV1, SA.BAR_KODA, SA.MIN_ZALOGA, SA.MIN_IZDAJA, SA.CENA_SKL, SA.CENA_MP, SA.CENA_VP, SA.CENA_DEM, SA.DT_VPISA,
SA.DOBAVITELJ, SA.UPOR_VPIS, SA.UPOR_SPREM, SA.DAV_STOPNJA, SA.DT_SPREMEMBE, SA.KONTO, SA.LOKACIJA, SA.SIFRA_DOB, SA.V_UPORABI, SA.PRENOS, SA.LOKACIJA1, SA.LOKACIJA2, SA.CENAZDDV, SA.VRSTA,
SA.INTERNI_OPIS, SA.PROIZVAJALEC, SA.NNLOCATION_ID, SA.SALE, SA.STOCKS, SA.RECIPE, SA.FB, SA.PORTAL, SA.DESCRIPTION, SA.AUTO_NOTE, SA.ALLOW_PRICE_CHANGE, SA.COLOR, SA.ID_LOKACIJA,
SE.NAZIV AS S_ENOTE_NAZIV, SE.OSN_ENOTA AS S_ENOTE_OSN_ENOTA, SD.OPIS AS S_DAVEK_OPIS, SG.NAZIV AS S_GRUPE_NAZIV, SG.SERVICE AS S_GRUPE_SERVICE, 
SG.COMMISSION_PERCENTAGE AS S_GRUPE_COMMISSION_PERCENTAGE, SG.OWNER_TYPE AS S_GRUPE_OWNER_TYPE, SG.ROUNDING AS S_GRUPE_ROUNDING
FROM S_ARTIKLI SA
LEFT OUTER JOIN S_DAVEK SD ON SD.ID_DAVEK = SA.ID_DAVEK
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SA.ID_ENOTA
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = SA.ID_GRUPA
);

ALTER TABLE CONTRACT_TYPE
ADD MULTIPLE_CUSTOMER_SIGNATURE VARCHAR2(1 CHAR);

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('PCC', 'Portal contract signature - contact', 'Portal contract signature - contact', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2011, SYSDATE, '5.5', 1931, 'Contract signature')
;